Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76692 - Bad default editor
Summary: Bad default editor
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: umb-scheme
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-24 23:32 UTC by Michal Jaegermann
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-24 23:32:37 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2002-10-24 23:32:30 UTC
Description of Problem:

A file /usr/share/umb-scheme/prelude.scheme says, among other things,

; MAINTENANCE PROCEDURES

; (vi) -- edit this file

Ok, lets try:
==> (vi)
sh: line 1: /usr/ucb/vi: No such file or directory

Error: Edit on prelude.scheme didn't succeed; not reloading file.

Oops!  The same, of course, will happen if you will attempt
==> (edit "some.other.file")

This can be worked around if you will set EDITOR in environment but
defaults should be sane.

The same applies to releases in earlier distributions.

Comment 1 Phil Knirsch 2002-11-29 15:14:47 UTC
Fixed in latest umb-scheme in rawhide.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.